import { Component } from '@angular/core';
import { NavController, NavParams, LoadingController } from 'ionic-angular';
import { LecturesProvider } from '../../providers/lectures-provider';
import { ViewChild } from '@angular/core';
import { Slides } from 'ionic-angular';


@Component({
  selector: 'page-programme',
  templateUrl: 'programme.html',
  providers:[LecturesProvider],
})
export class Programme {
  @ViewChild(Slides) slides: Slides;
  room: any = "0";
  loading: any;
  lecturesData: any;
  constructor(public navCtrl: NavController, public navParams: NavParams, private lecturesProvider:LecturesProvider,  public loadingCtrl: LoadingController) {

  this.loading = this.loadingCtrl.create({
    content: `
      <ion-spinner ></ion-spinner>`
  });
  this.getdata();
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad Programme');
  }

  getdata(){
  this.lecturesProvider.getJsonData().subscribe(
    result => {
      this.lecturesData=result.schedule;
      console.log("Success : "+this.lecturesData);
    },
    err =>{
      console.error("Error : "+err);
    } ,
    () => {
      this.room = this.lecturesData[0].name
      console.log('getData completed');
    }
  );

  }
  cardClass(lecture){
     switch(lecture.fs){
        case "Psychologie":{
          return "card-red";
        }
        case "Chemie":{
          return "card-amber";
        }
        case "Biochemie":{
          return "card-lightgreen";
        }
        case "Mathematik":{
          return "card-bluegrey";
        }
        case "Geowissenschaften":{
          return "card-orange";
        }
        case "Medizin":{
          return "card-cyan";
        }
        case "Biowissenschaften":{
          return "card-green";
        }
        case "Pharmazie":{
          return "card-green";
        }
        case "Biophysik":{
          return "card-teal";
        }
        case "Physik":{
          return "card-indigo";
        }
        case "Informatik":{
          return "card-pink";
        }
        default: {
          return "card-blue";
        }
     }
  }
  fsIcon(lecture){
     switch(lecture.fs){
        case "Psychologie":{
          return "icon-psychologie";
        }
        case "Chemie":{
          return "icon-chemie";
        }
        case "Biochemie":{
          return "icon-biochemie";
        }
        case "Mathematik":{
          return "icon-mathematik";
        }
        case "Geowissenschaften":{
          return "icon-geo";
        }
        case "Medizin":{
          return "icon-medizin";
        }
        case "Biowissenschaften":{
          return "card-green";
        }
        case "Pharmazie":{
          return "icon-pharmazie";
        }
        case "Physik":{
          return "icon-physik";
        }
        case "Informatik":{
          return "icon-informatik";
        }
        default: {
          return "icon-nos";
        }
     }
  }

  slideChanged() {
    let currentIndex = this.slides.getActiveIndex();
    this.room = this.lecturesData[currentIndex].name;
  }
}
